IPC::Run::Win32IO(3)

NAME
IPC::Run::Win32IO - helper routines for IPC::Run on Win32 platforms.

SYNOPSIS
    use IPC::Run::Win32IO;   # Exports all by default

DESCRIPTION
IPC::Run needs to use sockets to redirect subprocess I/O so that the select() loop will work on Win32. This seems to only work on WinNT and Win2K at this time, not sure if it will ever work on Win95 or Win98. If you have experience in this area, please contact me at barries@slaysys.com, thanks!.

DESCRIPTION
A specialized IO class used on Win32.

SUBROUTINES

poll
    Windows version of IPC::Run::IP::poll.

AUTHOR
Barries Slaymaker <barries@slaysys.com>. Funded by Perforce Software, Inc.

COPYRIGHT
Copyright 2001, Barrie Slaymaker, All Rights Reserved.

You may use this under the terms of either the GPL 2.0 or the Artistic License.